File libart_lgpl.spec of Package libart_lgpl

#
# spec file for package libart_lgpl (Version 2.3.21)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libart_lgpl
License:        LGPLv2.1+
Group:          System/GUI/GNOME
AutoReqProv:    on
Version:        2.3.21
Release:        4
# NOTE: on upgrade to a new upstream version, change the Obsoletes from <= to < (here and in baselibs.conf)
Summary:        Libart Components Licensed under the LGPL
Source:         ftp://ftp.gnome.org/pub/gnome/sources/%{name}/2.3/%{name}-%{version}.tar.bz2
Source99:       baselibs.conf
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Libart is a library for high-performance 2D graphics. It is currently
being used as the antialiased rendering engine for GNOME Canvas. It is
also the rendering engine for Gill, the GNOME Illustration application.

%package -n libart_lgpl_2-2
License:        LGPLv2.1+
Group:          System/GUI/GNOME
Summary:        Libart Components Licensed under the LGPL
Provides:       %{name} = %{version}
# Note: we keep <= (and a rpmlint warning...) until we get a version higher than 2.3.21 (when this provides/obsoletes was introduced)
Obsoletes:      %{name} <= %{version}
# bug437293
%ifarch ppc64
Obsoletes:      libart_lgpl-64bit
%endif
#

%description -n libart_lgpl_2-2
Libart is a library for high-performance 2D graphics. It is currently
being used as the antialiased rendering engine for GNOME Canvas. It is
also the rendering engine for Gill, the GNOME Illustration application.

%package devel
License:        LGPLv2.1+
Summary:        Include Files and Libraries mandatory for Development
Group:          System/GUI/GNOME
Requires:       libart_lgpl_2-2 = %{version}
# bug437293
%ifarch ppc64
Obsoletes:      libart_lgpl-devel-64bit
%endif
#

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.

%prep
%setup -q

%build
%configure --disable-static --with-pic
make %{?jobs:-j%jobs}

%install
%makeinstall
%if %suse_version > 1110
%{__rm} -f %{buildroot}%{_libdir}/*.la
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libart_lgpl_2-2 -p /sbin/ldconfig

%postun -n libart_lgpl_2-2 -p /sbin/ldconfig

%files -n libart_lgpl_2-2
%defattr(-,root,root)
%doc AUTHORS COPYING README NEWS ChangeLog
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/*-config
%{_includedir}/libart-2.0/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%if %suse_version <= 1110
%{_libdir}/*.la
%endif

%changelog